### Function

# Gimp brush_select_new

#### Declaration [src]

    const gchar*
    gimp_brush_select_new (
      const gchar* title,
      const gchar* brush_name,
      gdouble opacity,
      gint spacing,
      GimpLayerMode paint_mode,
      GimpRunBrushCallback callback,
      gpointer data,
      GDestroyNotify data_destroy
    )

#### Description [src]

Invokes a brush selection dialog then run `callback` with the selected brush, various settings and user’s `data`.

#### Parameters

`title` | `const gchar*`
| Title of the brush selection dialog.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`brush_name` | `const gchar*`
| The name of the brush to set as the first selected.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`opacity` | `gdouble`
| The initial opacity of the brush.
`spacing` | `gint`
| The initial spacing of the brush (if < 0 then use brush default spacing).
`paint_mode` | `GimpLayerMode`
| The initial paint mode.
`callback` | `GimpRunBrushCallback`
| The callback function to call each time a settings change.
| The argument can be `NULL`.
`data` | `gpointer`
| The run_data given to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`data_destroy` | `GDestroyNotify`
| The destroy function for `data`.

#### Return value

Returns: | `const gchar*`
| The name of a temporary PDB procedure. The string belongs to the brush selection dialog and will be freed automatically when the dialog is closed.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.